<template>
  <div class="global-tech-icon">
    <v-tooltip v-if="tooltip" top>
      <template v-slot:activator="{ on }">
        <i class="abi icon-tech" :style="{ color: color }" v-on="on">
          {{ title }}
        </i>
      </template>
      <span>{{ tooltip }}</span>
    </v-tooltip>
    <div v-else>
      <i class="abi icon-tech" :style="{ color: color }">
        {{ title }}
      </i>
      <span class="name-icon">
        {{ name }}
      </span>
    </div>
  </div>
</template>
<script>
export default {
  name: 'TechCards',
  props: {
    title: {
      type: String,
      required: true,
    },
    color: {
      type: String,
      required: true,
    },
    tooltip: {
      type: String,
      default: null,
      required: false,
    },
    name: {
      type: String,
      default: null,
      required: false,
    },
  },
};
</script>
